package org.dromara.mall.product.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.mall.product.domain.bo.MallAttributeValueBo;
import org.dromara.mall.product.domain.vo.MallAttributeValueVo;

import java.util.Collection;
import java.util.List;

/**
 * 属性值Service接口
 *
 * @author pengles
 */
public interface MallAttributeValueService {

    /**
     * 查询属性值
     */
    MallAttributeValueVo queryById(Long id);

    /**
     * 查询属性值列表
     */
    TableDataInfo<MallAttributeValueVo> queryPageList(MallAttributeValueBo bo, PageQuery pageQuery);

    /**
     * 查询属性值列表
     */
    List<MallAttributeValueVo> queryList(MallAttributeValueBo bo);

    /**
     * 根据属性ID查询属性值列表
     */
    List<MallAttributeValueVo> queryListByAttributeId(Long attributeId);

    /**
     * 新增属性值
     */
    Boolean insertByBo(MallAttributeValueBo bo);

    /**
     * 修改属性值
     */
    Boolean updateByBo(MallAttributeValueBo bo);

    /**
     * 校验并批量删除属性值信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);

}
